## org.eclipse.uml2.uml.editor.dialogs
Class Profile2EPackageConverterOptionsDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.jface.dialogs.IconAndMessageDialog
                  org.eclipse.jface.dialogs.MessageDialog
                      org.eclipse.uml2.uml.editor.dialogs.OptionsDialog
                          org.eclipse.uml2.uml.editor.dialogs.Profile2EPackageConverterOptionsDialog

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

    public class Profile2EPackageConverterOptionsDialog

extends OptionsDialog

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.uml2.uml.editor.dialogs.OptionsDialog
`choiceLabels, discardChoiceLabel, ignoreChoiceLabel, options, processChoiceLabel, reportChoiceLabel`

Fields inherited from class org.eclipse.jface.dialogs.MessageDialog
`ERROR, INFORMATION, NONE, QUESTION, WARNING`

Fields inherited from class org.eclipse.jface.dialogs.IconAndMessageDialog
`imageLabel, message, messageLabel`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`Profile2EPackageConverterOptionsDialog(org.eclipse.swt.widgets.Shell parent, java.lang.String title, java.lang.String message, java.util.Map<java.lang.String,java.lang.String> options)`

Method Summary
`protected void` `createOptionAreas(org.eclipse.swt.widgets.Composite parent)`

Methods inherited from class org.eclipse.uml2.uml.editor.dialogs.OptionsDialog
`createCustomArea, createOptionArea`

Methods inherited from class org.eclipse.jface.dialogs.MessageDialog
`buttonPressed, configureShell, createButton, createButtonsForButtonBar, createDialogArea, customShouldTakeFocus, getButton, getButtonLabels, getDefaultButtonIndex, getImage, getMinimumMessageWidth, handleShellCloseEvent, openConfirm, openError, openInformation, openQuestion, openWarning, setButtonLabels, setButtons`

Methods inherited from class org.eclipse.jface.dialogs.IconAndMessageDialog
`createButtonBar, createContents, createDialogAndButtonArea, createMessageArea, getErrorImage, getInfoImage, getMessageLabelStyle, getQuestionImage, getWarningImage`

Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, dialogFontIsDefault, getBlockedHandler, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, okPressed, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Profile2EPackageConverterOptionsDialog

    public Profile2EPackageConverterOptionsDialog(org.eclipse.swt.widgets.Shell parent,
                                                  java.lang.String title,
                                                  java.lang.String message,
                                                  java.util.Map<java.lang.String,java.lang.String> options)

Method Detail

### createOptionAreas

    protected void createOptionAreas(org.eclipse.swt.widgets.Composite parent)

  Overrides:
    `createOptionAreas` in class `OptionsDialog`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.